CREATE TABLE `kpi_ratio` (
 `id` bigint(20) NOT NULL AUTO_INCREMENT,
 `date` date DEFAULT NULL COMMENT '日期',
 `group_id` bigint(20) DEFAULT NULL COMMENT '集团id',
 `dimension` varchar(2) COLLATE utf8_bin DEFAULT NULL COMMENT '维度',
 `s1` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '人员名称',
 `s2` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '门店名称',
 `s3` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '岗位名称',
 `s4` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '绩效组名称',
 `s5` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '绩效排名包名称',
 `s6` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '角色编码',
 `s7` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '角色名称',
 `s9` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '绩效排名组门店',
 `i1` int(11) DEFAULT NULL COMMENT '星级',
 `i2` int(11) DEFAULT NULL COMMENT '排名',
 `l1` bigint(20) DEFAULT NULL COMMENT '人员id',
 `l2` bigint(20) DEFAULT NULL COMMENT '门店id',
 `l3` bigint(20) DEFAULT NULL COMMENT '岗位id',
 `l4` bigint(20) DEFAULT NULL COMMENT '绩效组id',
 `l5` bigint(20) DEFAULT NULL COMMENT '绩效组排名包id',
 `l6` bigint(20) DEFAULT NULL COMMENT '绩效池id',
 `b1` decimal(10,4) DEFAULT NULL COMMENT '绩效考核周期得分率',
 `b2` decimal(10,4) DEFAULT NULL COMMENT '绩效本月得分率',
 `b3` decimal(10,4) DEFAULT NULL COMMENT '绩效上月得分率',
 `b4` decimal(10,4) DEFAULT NULL COMMENT '绩效前两月得分率',
 `b5` tinyint(1) DEFAULT NULL COMMENT '是否纳入绩效考核',
 `b6` tinyint(1) DEFAULT NULL COMMENT '是否管理层',
 `yn` tinyint(1) DEFAULT NULL COMMENT '逻辑删除',
 PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='绩效得分率报表';


CREATE TABLE `salary_reward` (
 `id` bigint(20) NOT NULL AUTO_INCREMENT,
 `date` date DEFAULT NULL COMMENT '日期',
 `dimension` varchar(2) COLLATE utf8_bin DEFAULT NULL COMMENT '维度',
 `group_id` bigint(20) DEFAULT NULL COMMENT '集团id',
 `s1` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '人员名称',
 `s2` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '门店名称',
 `s3` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '岗位名称',
 `s4` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '角色编码',
 `s5` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '角色名称',
 `i1` int(11) DEFAULT NULL COMMENT '星级',
 `l1` bigint(20) DEFAULT NULL COMMENT '人员id',
 `l2` bigint(20) DEFAULT NULL COMMENT '门店id',
 `l3` bigint(20) DEFAULT NULL COMMENT '岗位id',
 `l4` bigint(20) DEFAULT NULL COMMENT '薪酬池id',
 `b1` decimal(10,4) DEFAULT NULL COMMENT '总薪酬',
 `b2` decimal(10,4) DEFAULT NULL COMMENT '平均薪酬',
 `b3` decimal(10,4) DEFAULT NULL COMMENT '岗位收入',
 `b4` decimal(10,4) DEFAULT NULL COMMENT '岗位最低收入',
 `yn` tinyint(1) DEFAULT NULL COMMENT '逻辑删除',
 PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='薪酬奖励报表';