package cn.fw.morax.common.pojo.event;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SalaryGroupChangeEvent {
    /**
     * 薪酬组id
     */
    private Long id;

    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 适用门店ids
     */
    private List<Long> shopIds;
    /**
     * 适用门店名称
     */
    private List<String> shopNames;
    /**
     * 生效时间
     */
    private LocalDate beginTime;
    /**
     * 失效时间
     */
    private LocalDate overTime;
    /**
     * 包薪酬项数量;只统计可配置的的项目数
     */
    private Integer projectNum;
    /**
     * 调整原因
     */
    private String reason;

}
