package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalPoolIndicatorDetail;
import cn.fw.morax.domain.vo.eval.EvalPoolIndicatorDetailVO;
import cn.fw.morax.domain.vo.kpi.KpiPoolIndicatorValueVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评指标明细 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalPoolIndicatorDetailDao extends BaseMapper<EvalPoolIndicatorDetail> {

    /**
     * 获取员工某月指标记录
     *
     * @param evalPoolId
     * @param evalGroupId
     * @param localDate
     * @return
     */
    List<EvalPoolIndicatorDetailVO> getStaffIndicatorValues(@Param("evalPoolId") Long evalPoolId,
                                                            @Param("scopeType") Integer scopeType,
                                                            @Param("evalGroupId") Long evalGroupId,
                                                            @Param("dataDate") LocalDate localDate);

    /**
     * 获取员工某月指标记录
     *
     * @param evalPoolId
     * @param evalGroupIndicatorId
     * @param localDate
     * @return
     */
    EvalPoolIndicatorDetailVO getStaffIndicatorValue(@Param("evalPoolId") Long evalPoolId,
                                                     @Param("scopeType") Integer scopeType,
                                                       @Param("evalGroupIndicatorId") Long evalGroupIndicatorId,
                                                       @Param("dataDate") LocalDate localDate);

}
