package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalPoolRewardDetail;
import cn.fw.morax.domain.vo.eval.EvalPoolIndicatorDetailVO;
import cn.fw.morax.domain.vo.eval.EvalPoolRewardDetailVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评明细 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2023-02-11
 */
public interface EvalPoolRewardDetailDao extends BaseMapper<EvalPoolRewardDetail> {

    /**
     * 获取员工某月指标记录
     *
     * @param evalPoolId
     * @param evalGroupId
     * @param dataDate
     * @return
     */
    List<EvalPoolRewardDetailVO> getStaffRewardValues(@Param("evalPoolId") Long evalPoolId,
                                                      @Param("evalGroupId") Long evalGroupId,
                                                      @Param("dataDate") LocalDate dataDate);

    /**
     * 获取员工某月指标记录
     *
     * @param evalPoolId
     * @param evalGroupRewardId
     * @param dataDate
     * @return
     */
    EvalPoolRewardDetailVO getStaffRewardValue(@Param("evalPoolId") Long evalPoolId,
                                                  @Param("evalGroupRewardId") Long evalGroupRewardId,
                                                  @Param("dataDate") LocalDate dataDate);

}
