package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalShopPool;
import cn.fw.morax.domain.db.eval.EvalUserPool;
import cn.fw.morax.domain.dto.query.EvalPoolQueryDTO;
import cn.fw.morax.domain.vo.eval.EvalShopPoolVO;
import cn.fw.morax.domain.vo.eval.EvalUserPoolVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 考评池 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalShopPoolDao extends BaseMapper<EvalShopPool> {

    List<EvalShopPool> getLastPool(@Param("monthly") YearMonth monthly, @Param("groupId") Long groupId);

    /**
     * 考评池分页查询
     *
     * @param dto
     * @return
     */
    List<EvalShopPoolVO> queryPagePool(@Param("condition") EvalPoolQueryDTO dto, @Param("startIndex") int startIndex, @Param("pageSize") int pageSize);

    /**
     * 查询考评池数据总署
     *
     * @param dto
     * @return
     */
    long queryPagePoolTotal(@Param("condition") EvalPoolQueryDTO dto);
}
