package cn.fw.morax.dao.kpi;

import cn.fw.morax.domain.db.kpi.Indicators;
import cn.fw.morax.domain.dto.query.IndicatorPostQueryDTO;
import cn.fw.morax.domain.dto.query.IndicatorQueryDTO;
import cn.fw.morax.domain.vo.kpi.IndicatorsVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : IndicatorsDao
 * @description : 绩效指标库配置
 * @date: 2022-04-06 14:29
 */
@Repository
public interface IndicatorsDao extends BaseMapper<Indicators> {

    /**
     * 指标分页查询接口
     *
     * @param dto
     * @return
     */
    Long selectPageTotal(IndicatorQueryDTO dto);

    /**
     * 指标分页查询接口
     *
     * @param dto
     * @return
     */
    List<IndicatorsVO> selectPageVo(IndicatorQueryDTO dto);

    /**
     * 获取岗位下的绩效组指标
     *
     * @param dto
     * @return
     */
    List<IndicatorsVO> getPostIndicators(IndicatorPostQueryDTO dto);
}
