package cn.fw.morax.dao.kpi;

import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorTargetHitLog;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorTargetHitLogVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * 绩效组配置目标命中记录
 *
 * @author : kurisu
 * @version : 2.0
 * @className : KpiGroupIndicatorTargetHitLogDao
 * @description : 绩效组配置目标命中记录
 * @date : 2022-12-14 10:45
 */
@Repository
public interface KpiGroupIndicatorTargetHitLogDao extends BaseMapper<KpiGroupIndicatorTargetHitLog> {

    /**
     * 查找指标目标值
     *
     * @param referId
     * @param monthly
     * @param targetType
     * @param userIds
     * @return
     */
    List<KpiGroupIndicatorTargetHitLogVO> getIndicatorData(@Param("referId") Long referId,
                                                                 @Param("monthly") YearMonth monthly,
                                                                 @Param("targetType") IndicatorTypeEnum targetType,
                                                                 @Param("userIds") Set<Long> userIds);
}
