package cn.fw.morax.dao.kpi;

import cn.fw.morax.domain.db.kpi.KpiGroupRank;
import cn.fw.morax.domain.dto.query.KpiGroupRankQueryDTO;
import cn.fw.morax.domain.vo.kpi.KpiGroupRankVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : KpiGroupRankDao
 * @description : 绩效组排名配置
 * @date: 2022-09-26 14:39
 */
@Repository
public interface KpiGroupRankDao extends BaseMapper<KpiGroupRank> {

    /**
     * 查询绩效组排名总条数
     *
     * @param dto
     * @return
     */
    long queryPageRankTotal(KpiGroupRankQueryDTO dto);

    /**
     * 绩效组排名分页查询
     *
     * @param dto
     * @return
     */
    List<KpiGroupRankVO> queryPageRank(KpiGroupRankQueryDTO dto);

    /**
     * 通过kgc查询绩效组排名
     *
     * @param kgcs
     * @return
     */
    List<KpiGroupRankVO> queryByKgcs(@Param("kgcs") List<String> kgcs,
                                     @Param("filterId") Long filterId);
}
