package cn.fw.morax.dao.kpi;

import cn.fw.common.data.mybatis.pagination.PageData;
import cn.fw.common.page.AppPage;
import cn.fw.morax.domain.db.kpi.KpiPool;
import cn.fw.morax.domain.dto.query.KpiPoolQueryDTO;
import cn.fw.morax.domain.vo.kpi.KpiPoolVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : KpiPoolDao
 * @description : 绩效池
 * @date: 2022-04-06 14:35
 */
@Repository
public interface KpiPoolDao extends BaseMapper<KpiPool> {

    /**
     * 绩效池分页查询
     *
     * @param dto
     * @return
     */
    List<KpiPoolVO> queryPagePool(@Param("condition") KpiPoolQueryDTO dto, @Param("startIndex") int startIndex, @Param("pageSize") int pageSize);

    /**
     * 查询绩效池数据总署
     *
     * @param dto
     * @return
     */
    long queryPagePoolTotal(KpiPoolQueryDTO dto);
}
