package cn.fw.morax.dao.salary;

import cn.fw.morax.domain.db.salary.SalaryPoolDetail;
import cn.fw.morax.domain.vo.salary.SalaryPoolDetailVO;
import cn.fw.morax.domain.vo.salary.StaffSalaryVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryPoolDetailDao
 * @description : 薪资明细
 * @date: 2022-04-06 14:55
 */
@Repository
public interface SalaryPoolDetailDao extends BaseMapper<SalaryPoolDetail> {

    /**
     * 查询薪酬详情
     *
     * @param salaryPoolId
     * @param salaryGroupId
     * @param dataDate
     * @return
     */
    List<SalaryPoolDetailVO> queryByPoolId(@Param("salaryPoolId") Long salaryPoolId,
                                           @Param("salaryGroupId") Long salaryGroupId,
                                           @Param("dataDate") LocalDate dataDate);
}
