package cn.fw.morax.dao.salary;

import cn.fw.morax.domain.db.salary.SalaryProject;
import cn.fw.morax.domain.dto.query.IndicatorQueryDTO;
import cn.fw.morax.domain.dto.query.SalaryIndicatorQueryDTO;
import cn.fw.morax.domain.dto.query.SalaryProjectPostQueryDTO;
import cn.fw.morax.domain.vo.kpi.IndicatorsVO;
import cn.fw.morax.domain.vo.salary.SalaryProjectSelectorVO;
import cn.fw.morax.domain.vo.salary.SalaryProjectVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryProjectDao
 * @description : 薪酬项
 * @date: 2022-04-06 14:50
 */
@Repository
public interface SalaryProjectDao extends BaseMapper<SalaryProject> {

    /**
     * 指标分页查询接口
     *
     * @param dto
     * @return
     */
    Long selectPageTotal(SalaryIndicatorQueryDTO dto);

    /**
     * 指标分页查询接口
     *
     * @param dto
     * @return
     */
    List<SalaryProjectVO> selectPageVo(SalaryIndicatorQueryDTO dto);

    /**
     * 获取岗位下的薪酬组指标
     *
     * @param dto
     * @return
     */
    List<SalaryProjectSelectorVO> getPostIndicators(SalaryProjectPostQueryDTO dto);

}
