package cn.fw.morax.domain.bo.kpi;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiGroupCalculableRankBO
 * @description : 需要计算绩效排名的绩效组
 * @date : 2022-04-16 11:31
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KpiGroupCalculableRankBO {
    /**
     * 单个绩效组计算
     */
    private Boolean calculateSeparately;
    /**
     * 绩效排名组id
     */
    private Long kpiGroupRankId;
    /**
     * D级免责得分率要求
     */
    private BigDecimal revokedScoreRatio;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 绩效组ids
     */
    private List<Long> kpiGroupIds;
    /**
     * 日期
     */
    private LocalDate localDate;
}
