package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorLadders;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.EvalTypeEnum;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.Future;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 考评组
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroup extends BaseAuditableTimeEntity<EvalGroup, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评id
     */
    private Long evalId;

    /**
     * 考评组编码
     */
    private String egc;

    /**
     * 考评，活动名称
     */
    private String name;

    /**
     * 考评范围; 1:门店考评 2:人员考评
     */
    private EvalScopeEnum scopeType;

    /**
     * 适用角色编码
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleCodes;
    /**
     * 适用角色名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleNames;

//    /**
//     * 状态;1:审批中 2:待生效 3:生效中 4:已失效 5:草稿
//     */
//    private SettingStatusEnum status;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> shopNames;

//    /**
//     * 调整原因
//     */
//    private String reason;

//    /**
//     * 附件;fid逗号隔开
//     */
//    @TableField(typeHandler = StringListTypeHandler.class)
//    private List<String> attachment;

    /**
     * 生效时间
     */
    private LocalDate beginTime;

    /**
     * 结束时间
     */
    private LocalDate overTime;

    /**
     * 状态;1:审批中 2:审批拒绝 3:生效中 4:草稿 
     */
//    private SettingStatusEnum status;

    /**
     * 包含指标数量
     */
    private Integer indicatorNum;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;


}
