package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.common.constant.Constant;
import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 指标项得分阶梯
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class EvalGroupIndicatorLadders extends BaseAuditableTimeEntity<EvalGroupIndicatorLadders, Long> {
    /**
     * 绩效组指标项id
     */
    private Long evalGroupIndicatorId;
    /**
     * 阶梯下限;大于等于
     */
    private BigDecimal lower;
    /**
     * 阶梯上限;小于; 无上限的情况值为 2<<15
     */
    private BigDecimal upper;
    /**
     * 标准分;本阶梯对应标准分
     */
    private Integer standardScore;
    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

    public void dividePercent(DataTypeEnum laddersType) {
        if (PublicUtil.isNotEmpty(laddersType) && DataTypeEnum.RATIO.equals(laddersType)) {
            this.setUpper(this.getUpper().divide(Constant.ONE_HUNDRED, 4, RoundingMode.HALF_UP));
            this.setLower(this.getLower().divide(Constant.ONE_HUNDRED, 4, RoundingMode.HALF_UP));
        }
    }

}