package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.common.constant.Constant;
import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.time.LocalDateTime;

/**
 * <p>
 * 考评组指标条件得分阶梯
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupIndicatorPreconditionLadders extends BaseAuditableTimeEntity<EvalGroupIndicatorPreconditionLadders, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评组指标条件id
     */
    private Long preconditionId;

    /**
     * 阶梯下限;大于等于
     */
    private BigDecimal lower;

    /**
     * 阶梯上限;小于; 无上限的情况值为 2<<15
     */
    private BigDecimal upper;

    /**
     * 得分百分比
     */
    private BigDecimal scorePercent;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

    /**
     * 转换为百分数展示
     */
    public void dividePercent(TargetTypeEnum targetType, DataTypeEnum dataType){
        this.setScorePercent(this.getScorePercent().divide(Constant.ONE_HUNDRED, 4, RoundingMode.HALF_UP));
        //有目标一定是 百分比，无目标通过 dataType判断
        if (TargetTypeEnum.RATIO.equals(targetType) || TargetTypeEnum.MONEY.equals(targetType)) {
            this.setUpper(this.getUpper().divide(Constant.ONE_HUNDRED, 4, RoundingMode.HALF_UP));
            this.setLower(this.getLower().divide(Constant.ONE_HUNDRED, 4, RoundingMode.HALF_UP));
            return;
        }
        //无目标
        if (PublicUtil.isNotEmpty(dataType) && DataTypeEnum.RATIO.equals(dataType)) {
            this.setUpper(this.getUpper().divide(Constant.ONE_HUNDRED, 4, RoundingMode.HALF_UP));
            this.setLower(this.getLower().divide(Constant.ONE_HUNDRED, 4, RoundingMode.HALF_UP));
        }
    }

}
