package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.StarLevelEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 指标命中记录
 *
 * @author : kurisu
 * @version : 2.0
 * @className : KpiGroupIndicatorHitLog
 * @description : 指标命中记录
 * @date : 2022-12-13 10:27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EvalGroupRewardHitLog extends BaseAuditableTimeEntity<EvalGroupRewardHitLog, Long> {
    /**
     * 员工id
     */
    private Long poolId;

    /**
     * 考评范围; 1:门店考评 2:人员考评
     */
    private EvalScopeEnum scopeType;
    /**
     * 奖惩项id
     */
    private Long evalGroupRewardId;
    /**
     * 命中的奖惩配置项
     */
    private Long evalGroupRewardLaddersId;
    /**
     * 奖惩值
     */
    private BigDecimal rewardValue;
    /**
     * 命中的台阶指标值
     */
    private BigDecimal hitLadderValue;
    /**
     * 命中的提成指标值
     */
    private BigDecimal hitCommissionValue;
    /**
     * 占比
     */
    private BigDecimal proportionValue;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}
