package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.RankOrderTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 考评奖惩阶梯
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupRewardLadders extends BaseAuditableTimeEntity<EvalGroupRewardLadders, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评组指标条件id
     */
    private Long evalGroupId;

    /**
     * 考评组奖励id
     */
    private Long evalGroupRewardId;

    /**
     * 阶梯下限;大于等于
     */
    private BigDecimal lower;

    /**
     * 阶梯上限;小于; 无上限的情况值为 2<<15
     */
    private BigDecimal upper;

    /**
     * 金额
     */
    private BigDecimal money;

    /**
     * 排名顺序类型 1：正  2：负
     */
    private RankOrderTypeEnum rankOrderType;

    /**
     * 封顶金额/台
     */
    private BigDecimal capMoney;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;


}
