package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 薪酬指标达成目标记录
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupRewardTargetHitLog extends BaseAuditableTimeEntity<EvalGroupRewardTargetHitLog, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 员工id
     */
    private Long poolId;

    /**
     * 考评范围; 1:门店考评 2:人员考评
     */
    private EvalScopeEnum scopeType;

    /**
     * 考评奖惩 前置条件 配置id
     */
    private Long referId;
    /**
     * 指标类型 1.考核指标 如绩效组配置指标 薪酬组配置指标  2.前置条件指标
     */
    private IndicatorTypeEnum targetType;
    /**
     * 原始值
     */
    private BigDecimal value;
    /**
     * 达成目标
     */
    private BigDecimal reachValue;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    /**
     * 集团
     */
    private Long groupId;

    private Boolean yn;


}
