package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.DataImportStatusEnum;
import cn.fw.morax.domain.enums.DimensionTypeEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 考评指标导入记录
 * </p>
 *
 * @author jiangchao
 * @since 2023-02-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class EvalIndicatorImport extends BaseAuditableTimeEntity<EvalIndicatorImport, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 导入操作人员角色编码
     */
    private String roleCode;

    /**
     * 导入操作人员角色名称
     */
    private String roleName;

    /**
     * 导入操作人员
     */
    private Long importUserId;

    /**
     * 导入操作人员名称
     */
    private String importUserName;

    /**
     * 导入
     */
    private String content;

//    /**
//     * 维度类型 1：人员 2：门店
//     */
//    private DimensionTypeEnum dimensionType;

    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

//    /**
//     * 适用门店名称
//     */
//    @TableField(typeHandler = StringListTypeHandler.class)
//    private List<String> shopNames;

    /**
     * 上报数据的考评组ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> evalGroupIds;

//    /**
//     * 考评组编码
//     */
//    @TableField(typeHandler = StringListTypeHandler.class)
//    private List<String> egcs;


//    /**
//     * 岗位id
//     */
//    private Long postId;
//
//    /**
//     * 岗位名称
//     */
//    private String postName;

    /**
     * 指标编码
     */
    private String indicatorCode;

    /**
     * 指标库名称
     */
    private String indicatorName;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    /**
     * 导入过期时间
     */
    private LocalDateTime expireTime;

    /**
     * 状态；1.待导入 2.角色无授权人 3. 部分完成 4. 完成
     */
    private DataImportStatusEnum status;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    private Boolean yn;


}
