package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.DimensionTypeEnum;
import cn.fw.morax.domain.enums.IndicatorValueTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 考评人员指标业务值
 * </p>
 *
 * @author jiangchao
 * @since 2023-01-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
@Accessors(chain = true)
public class EvalIndicatorValue extends BaseAuditableTimeEntity<EvalIndicatorValue, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 人员id
     */
    private Long userId;

    /**
     * 人员名称
     */
    private String userName;

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 门店名称
     */
    private String shopName;

    /**
     * 维度类型 1：人员 2：门店
     */
    private DimensionTypeEnum dimensionType;

    /**
     * 指标编码
     */
    private String indicatorCode;

//    /**
//     * 指标库名称
//     */
//    private String indicatorName;

    /**
     * 指标业务值
     */
    private BigDecimal indicatorValue;

//    /**
//     * 类型：1: 百分比 2:数量 3:条件值 4:金额
//     */
//    private IndicatorValueTypeEnum valueType;

    /**
     * 数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum dataType;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
