package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 考评明细
 * </p>
 *
 * @author jiangchao
 * @since 2023-02-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalPoolRewardDetail extends BaseAuditableTimeEntity<EvalPoolRewardDetail, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评池id
     */
    private Long poolId;

    /**
     * 考评范围; 1:门店考评 2:人员考评
     */
    private EvalScopeEnum scopeType;

    /**
     * 考评组id
     */
    private Long evalGroupId;

    /**
     * 考评项配置id
     */
    private Long evalGroupRewardId;

    /**
     * 预计收入
     */
    private BigDecimal amount;

    /**
     * 日期
     */
    private LocalDate dataDate;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    private Boolean yn;


}
