package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.YearMonth;

/**
 * <p>
 * 考评池
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalUserPool extends BaseAuditableTimeEntity<EvalUserPool, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评组编码
     */
    private String egc;

    /**
     * 考评id
     */
    private Long evalId;
    /**
     * 考评组id
     */
    private Long evalGroupId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 门店名称
     */
    private String shopName;

    /**
     * 社保公积金门店id
     */
    private Long fundShopId;

    /**
     * 社保公积金门店名称
     */
    private String fundShopName;

    /**
     * 考评奖惩
     */
    private BigDecimal reward;

    /**
     * 考评得分
     */
    private BigDecimal score;

    /**
     * 考评得分率
     */
    private BigDecimal scoreRatio;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    /**
     * 月度
     */
    private YearMonth monthly;

    /**
     * 是否纳入计算
     */
    private Boolean inclusion;

//    /**
//     * 固定的
//     */
//    private Boolean regular;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
