package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 指标命中记录
 *
 * @author : kurisu
 * @version : 2.0
 * @className : KpiGroupIndicatorHitLog
 * @description : 指标命中记录
 * @date : 2022-12-13 10:27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class KpiGroupIndicatorHitLog  extends BaseAuditableTimeEntity<KpiGroupIndicatorHitLog, Long> {
    /**
     * 绩效组指标id
     */
    private Long kpiGroupIndicatorId;
    /**
     * 绩效组指标阶梯id
     */
    private Long kpiGroupIndicatorLaddersId;
    /**
     * 员工id
     */
    private Long userId;
    /**
     * 绩效值
     */
    private BigDecimal kpiValue;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    private Boolean yn;
}
