package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.ParamTypeEnum;
import cn.fw.morax.domain.enums.TargetCalcTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 绩效组指标参数
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class KpiGroupIndicatorParam extends BaseAuditableTimeEntity<KpiGroupIndicatorParam, Long> {

    /**
     * 绩效组配置id
     */
    private Long kpiGroupId;

    /**
     * 绩效组指标id
     */
    private Long kpiGroupIndicatorId;

    /**
     * 条件类型（1.台阶条件，2，提成条件）
     */
    private ParamTypeEnum paramType;

    /**
     * 指标编码
     */
    private String indicatorCode;

    /**
     * 指标库名称
     */
    private String indicatorName;

    /**
     * 占比
     */
    private BigDecimal proportion;

    /**
     * 是否封顶
     */
    private Boolean cap;

    /**
     * 目标计算类型;1: 目标值计算 2:最低要求计算
     */
    private TargetCalcTypeEnum targetCalcType;

    /**
     * 绩效目标值类型; 1:无 2:百分比 3:金额 4:台数
     */
    private TargetTypeEnum targetType;

    /**
     * 目标值
     */
    private BigDecimal targetValue;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
