package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 绩效组指标前置条件命中记录
 *
 * @author : kurisu
 * @version : 2.0
 * @className : KpiGroupIndicatorPreconditionHitLog
 * @description : 绩效组指标前置条件命中记录
 * @date : 2022-12-13 10:44
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class KpiGroupIndicatorPreconditionHitLog extends BaseAuditableTimeEntity<KpiGroupIndicatorPreconditionHitLog, Long> {
    /**
     * 前置条件id
     */
    private Long preconditionId;
    /**
     * 前置条件配置阶梯id
     */
    private Long preconditionLaddersId;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 值
     */
    private BigDecimal value;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    @TableLogic
    private Boolean yn;
}
