package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 绩效组指标得分命中记录
 *
 * @author : kurisu
 * @version : 2.0
 * @className : KpiGroupIndicatorTargetHitLog
 * @description : 绩效组指标目标命中记录
 * @date : 2022-12-13 15:09
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class KpiGroupIndicatorTargetHitLog extends BaseAuditableTimeEntity<KpiGroupIndicatorTargetHitLog, Long> {
    /**
     * 指标类型对应id
     * 即paramId或者preconditionId
     */
    private Long referId;
    /**
     * 指标类型
     */
    private IndicatorTypeEnum targetType;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 原始值
     */
    private BigDecimal value;
    /**
     * 达成值
     */
    private BigDecimal reachValue;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * yn
     */
    private Boolean yn;
}
