package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.StarLevelEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.YearMonth;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效池
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class KpiPool extends BaseAuditableTimeEntity<KpiPool, Long> {
    /**
     * 绩效组编码
     */
    private String kgc;
    /**
     * 绩效组id
     */
    private Long kpiGroupId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * KpiRatio
     */
    private String userName;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 绩效得分
     */
    private BigDecimal kpiScore;
    /**
     * 绩效得分率
     */
    private BigDecimal kpiScoreRatio;
    /**
     * 平均绩效得分率
     */
    private BigDecimal averageKpiScoreRatio;
    /**
     * 星级;1: A 2:B 3:C 4:D
     */
    private StarLevelEnum starLevel;
    /**
     * 实际星级;默认等于系统评定的星级，有调整的情况修改次字段
     */
    private StarLevelEnum actualStar;
    /**
     * D级撤销状态;是否撤销本次D级
     */
    private Boolean revoked;
    /**
     * 是否纳入绩效计算
     */
    private Boolean inclusion;
    /**
     * 年份月度
     */
    private YearMonth monthly;
    /**
     * 固定的
     */
    private Boolean regular;
    /**
     * 排名
     */
    private Integer rank;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}