package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效人员指标业务值
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class KpiPoolIndicatorValue extends BaseAuditableTimeEntity<KpiPoolIndicatorValue, Long> {
    /**
     * 绩效池id
     */
    private Long kpiPoolId;
    /**
     * 绩效组指标配置id
     */
    private Long kpiGroupIndicatorId;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 指标得分
     */
    private BigDecimal indicatorScore;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}