package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.morax.domain.enums.ReportDimensionEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 绩效得分率(报表)
 * </p>
 *
 * @author jiangchao
 * @since 2022-11-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KpiRatio extends BaseEntity<KpiRatio, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 日期
     */
    private LocalDate date;

    /**
     * 维度
     */
    private ReportDimensionEnum dimension;

    /**
     * 集团id
     */
    private Long groupId;

//    /**
//     * 目标id
//     */
//    private String tId;
//
//    /**
//     * 目标名称
//     */
//    private String tName;
//
//    /**
//     * 扩展id
//     */
//    private String exId;
//
//    /**
//     * 扩展名称
//     */
//    private String exName;

    /**
     * 人员名称
     */
    private String s1;

    /**
     * 门店名称
     */
    private String s2;

    /**
     * 岗位名称
     */
    private String s3;

    /**
     * 绩效组名称
     */
    private String s4;

    /**
     * 绩效排名包名称
     */
    private String s5;

    /**
     * 角色编码
     */
    private String s6;

    /**
     * 角色名称
     */
    private String s7;

    /**
     * 管理人员id
     */
    private String s8;

    /**
     * 绩效排名组门店
     */
    private String s9;

    /**
     * 星级
     */
    private Integer i1;

    /**
     * 排名
     */
    private Integer i2;

    /**
     * 人员id
     */
    private Long l1;

    /**
     * 门店id
     */
    private Long l2;

    /**
     * 岗位id
     */
    private Long l3;

    /**
     * 绩效组id
     */
    private Long l4;

    /**
     * 绩效组排名包id
     */
    private Long l5;

    /**
     * 绩效池id
     */
    private Long l6;

    /**
     * 绩效考核周期得分率
     */
    private BigDecimal b1;

    /**
     * 绩效本月得分率
     */
    private BigDecimal b2;

    /**
     * 绩效上月得分率
     */
    private BigDecimal b3;

    /**
     * 绩效前两月得分率
     */
    private BigDecimal b4;

    /**
     * 人员数量
     */
    private BigDecimal b7;

    /**
     * 是否纳入绩效考核
     */
    private Boolean b5;

    /**
     * 是否管理层
     */
    private Boolean b6;

    private Boolean yn;

    public KpiRatio() {
    }

    public KpiRatio(ReportDimensionEnum dimension, Long groupId) {
        this.dimension = dimension;
        this.groupId = groupId;
    }
}
