package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.KpiStarSpecialRuleTypeEnum;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import cn.fw.morax.domain.enums.StarLevelEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效星级特殊规则
 */
@Data
@TableName(autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class KpiStarSpecialRule extends BaseAuditableTimeEntity<KpiStarSpecialRule, Long> {

    /**
     * 人员id
     */
    private Long userId;
    /**
     * 人员名称
     */
    private String userName;
    /**
     * 开始考核日期
     */
    private LocalDate earliestStartingMonthly;
    /**
     * 修正月度
     */
    private LocalDate revisedMonthly;
    /**
     * 修正星级;1: A 2:B 3:C 4:D
     */
    private StarLevelEnum revisedLevel;
    /**
     * 排除月度
     */
    private LocalDate exclusionMonthly;
    /**
     * 免除次数;免除D级次数
     */
    private Integer revokedTimes;
    /**
     * 状态;1:审批中 2:待生效 3:生效中 4:已失效
     */
    private SettingStatusEnum status;
    /**
     * 原因
     */
    private String reason;
    /**
     * 附件;fid逗号隔开
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> attachment;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}