package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableEntity;
import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 收入补偿
 * </p>
 *
 * @author jiangchao
 * @since 2022-11-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class IncomeCompensation extends BaseAuditableEntity<IncomeCompensation, Long> {

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> shopNames;

    /**
     * 多个生效月份
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> months;

    /**
     * 单人补偿金额
     */
    private BigDecimal money;

    /**
     * 单人最高补偿金额
     */
    private BigDecimal maxMoney;

    /**
     * 状态;1:审批中 3:生效中 4:已失效 
     */
    private SettingStatusEnum status;

    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;
}
