package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.YearMonth;

/**
 * <p>
 * 收入补偿清单
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(autoResultMap = true)
public class IncomeCompensationList extends BaseAuditableTimeEntity<IncomeCompensationList, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 补偿id
     */
    private Long incomeCompensationId;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 生效月份
     */
    private YearMonth dataMonth;

    /**
     * 有效性;0:生效 1:失效 
     */
    private Boolean effective;

    /**
     * 失效时间 
     */
    private LocalDate ineffectiveDate;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;
}
