package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.ExtraSalaryTypeEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryExtraProject
 * @description : 额外薪酬项
 * @date : 2022-04-22 16:18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class SalaryExtraProject extends BaseAuditableTimeEntity<SalaryExtraProject, Long> {
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 在职门店id
     */
    private Long shopId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 金额
     */
    private BigDecimal money;
    /**
     * 是否需要及时处理
     * 为'真'时会立即推送给财务，否则会并入工资里结算
     */
    private Boolean timely;
    /**
     * 薪酬项类型
     */
    private ExtraSalaryTypeEnum salaryType;
    /**
     * 业务id
     */
    private String dataId;
    /**
     * 业务名称
     */
    private String dataName;
    /**
     * 产生时间
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}
