package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬通用设置
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class SalaryGeneralSettin extends BaseAuditableTimeEntity<SalaryGeneralSettin, Long> {
    /**
     * 管理层可见
     */
    private Boolean leaderVisibility;
    /**
     * 可申诉日期;eg: 1,20 逗号隔开只存开始和结束
     */
    private String datesOfAppeal;
    /**
     * 薪资发放日期;取值1-28（每月）
     */
    private Integer payoffDate;
    /**
     * 薪资发放公户限额;元 0元则不限制
     */
    private Integer payoffLimit;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;
}