package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.SalaryCalMethodEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬组薪酬项目
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class SalaryGroupProject extends BaseAuditableTimeEntity<SalaryGroupProject, Long> {
    /**
     * 薪酬组id
     */
    private Long salaryGroupId;
    /**
     * 名称
     */
    private String name;

    /**
     * 台阶参数别名
     */
    public String ladderParamAlias;

    /**
     * 提成参数别名
     */
    public String commissionParamAlias;

    /**
     * 前置条件别名
     */
    public String preconditionAlias;

    /**
     * 计算方式;1: 星级 2:固定金额 3:阶梯 4:车系
     */
    private SalaryCalMethodEnum calMethod;
    /**
     * 数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum laddersType;
    /**
     * 唯一值;是否允许有多个相同项目
     */
    private Boolean single;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}