package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.StarLevelEnum;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 用户薪酬项命中记录
 *
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryGroupProjectHitLog
 * @description : 用户薪酬项命中记录
 * @date : 2022-05-19 10:47
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SalaryGroupProjectHitLog extends BaseAuditableTimeEntity<SalaryGroupProjectHitLog, Long> {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 薪酬项id
     */
    private Long salaryGroupProjectId;
    /**
     * 命中的薪酬配置项
     */
    private Long salaryGroupProjectSettinId;
    /**
     * 星级
     */
    private StarLevelEnum starLevel;
    /**
     * 薪酬值
     */
    private BigDecimal salaryValue;
    /**
     * 命中的台阶指标值
     */
    private BigDecimal hitLadderValue;
    /**
     * 命中的提成指标值
     */
    private BigDecimal hitCommissionValue;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}
