package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 薪酬指标条件记录
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class SalaryGroupProjectPreconditionLog extends BaseAuditableTimeEntity<SalaryGroupProjectPreconditionLog, Long> {

    /**
     * 薪酬组项目id
     */
    private Long salaryGroupProjectId;

    /**
     * 薪酬组薪酬项目前置条件id
     */
    private Long preconditionId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 值
     */
    private BigDecimal value;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    @TableLogic
    private Boolean yn;


}
