package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.SalaryTypeEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪资明细
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class SalaryPoolDetail extends BaseAuditableTimeEntity<SalaryPoolDetail, Long> {
    /**
     * 薪酬池id
     */
    private Long salaryPoolId;
    /**
     * 薪酬项配置id
     */
    private Long salaryGroupProjectId;
    /**
     * 薪酬项配置名称
     */
    private String salaryGroupProjectName;
    /**
     * 薪资类型
     */
    private SalaryTypeEnum type;
    /**
     * 预计收入
     */
    private BigDecimal salaryAmount;
    /**
     * 已处理金额
     */
    private BigDecimal processedAmount;
    /**
     * 实际收入
     */
    private BigDecimal actualSalaryAmount;
    /**
     * 薪资日期
     */
    private LocalDate salaryDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}