package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.morax.domain.enums.ReportDimensionEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 绩效得分率(报表)
 * </p>
 *
 * @author jiangchao
 * @since 2022-11-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SalaryReward extends BaseEntity<SalaryReward, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 日期
     */
    private LocalDate date;

    /**
     * 维度
     */
    private ReportDimensionEnum dimension;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 人员名称
     */
    private String s1;
    /**
     * 门店名称
     */
    private String s2;
    /**
     * 岗位名称
     */
    private String s3;
    /**
     * 角色编码
     */
    private String s4;
    /**
     * 角色名称
     */
    private String s5;
    /**
     * 管理门店id、岗位门店id
     */
    private String s6;
    /**
     * 总薪酬
     */
    private BigDecimal b1;
    /**
     * 平均薪酬
     */
    private BigDecimal b2;
    /**
     * 岗位收入
     */
    private BigDecimal b3;
    /**
     * 岗位最低收入
     */
    private BigDecimal b4;
    /**
     * 人员数量
     */
    private BigDecimal b5;
    /**
     * 星级
     */
    private Integer i1;

    /**
     * 人员id
     */
    private Long l1;
    /**
     * 门店id
     */
    private Long l2;
    /**
     * 岗位id
     */
    private Long l3;
    /**
     * 薪酬池池id
     */
    private Long l4;

    private Boolean yn;

    public SalaryReward() {
    }

    public SalaryReward(ReportDimensionEnum dimension, Long groupId) {
        this.dimension = dimension;
        this.groupId = groupId;
    }
}
