package cn.fw.morax.domain.dto;

import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 收入补偿
 * </p>
 *
 * @author jiangchao
 * @since 2022-11-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class IncomeCompensationDTO {

    /**
     * 岗位id
     */
    @NotNull(message = "岗位id不能为空")
    private Long postId;

    /**
     * 岗位名称
     */
    @NotNull(message = "岗位名称不能为空")
    private String postName;

    /**
     * 适用门店ids
     */
    @NotNull(message = "门店不能为空")
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    @NotNull(message = "适用门店名称不能为空")
    private List<String> shopNames;

    /**
     * 多个生效月份
     */
    @NotNull(message = "多个生效月份不能为空")
    private List<YearMonth> months;

    /**
     * 单人补偿金额
     */
    @NotNull(message = "单人补偿金额不能为空")
    private BigDecimal money;

    /**
     * 单人最高补偿金额
     */
    @NotNull(message = "单人最高补偿金额不能为空")
    private BigDecimal maxMoney;

    /**
     * 状态;1:审批中 3:生效中 4:已失效 
     */
//    private SettingStatusEnum status;

}
