package cn.fw.morax.domain.dto.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.db.eval.EvalGroupIndicator;
import cn.fw.morax.domain.db.eval.EvalGroupIndicatorPreconditionLadders;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorTargetVO;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * 绩效组指标项
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EvalGroupIndicatorDTO {

    private static final long serialVersionUID = 1L;

//    /**
//     * 考评组配置id
//     */
//    private Long evalGroupId;

    /**
     * 指标名称
     */
    @NotBlank(message = "指标名称不能为空")
    @Length(max = 255, message = "指标名称超出最大长度限制")
    private String name;

    /**
     * 考评项别名
     */
//    @NotBlank(message = "考评项别名不能为空")
//    @Length(max = 255, message = "考评项别名超出最大长度限制")
//    private String paramAlias;

    /**
     * 基础绩效分
     */
    @NotNull(message = "基础绩效分不能为空")
    private Integer baseScore;

    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    @NotNull(message = "得分方式不能为空")
    private ScoreWayEnum scoreWay;

    /**
     * 数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum laddersType;

    /**
     * 台阶参数别名
     */
    public String ladderParamAlias;

    /**
     * 提成参数别名
     */
    public String commissionParamAlias;

    /**
     * 前置条件别名
     */
    public String preconditionAlias;

    /**
     * 提成参数
     */
    @Valid
    private List<EvalGroupIndicatorParamDTO> commissionParams;

    /**
     * 台阶参数
     */
    @Valid
    private List<EvalGroupIndicatorParamDTO> ladderParams;

    /**
     * 条件
     */
    @Valid
    private List<EvalGroupIndicatorPreconditionDTO> conds;

    /**
     * 指标阶梯
     */
    @Valid
    private List<EvalGroupIndicatorLaddersDTO> ladders;

    /**
     * 目标
     */
    private List<EvalGroupIndicatorTargetVO> targets;


}
