package cn.fw.morax.domain.dto.eval;

import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.YearMonth;

/**
 * <p>
 * 绩效组排名配置
 * </p>
 *
 * @author jiangchao
 * @since 2022-09-26
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EvalGroupIndicatorRankDTO {

//    /**
//     * 指标编码
//     */
//    @NotNull(message = "指标编码不能为空")
//    private String code;

    /**
     * 考评组id
     */
    @NotNull(message = "考评组id不能为空")
    private Long evalGroupId;

    /**
     * 考评组指标
     */
    @NotNull(message = "考评组指标")
    private Boolean isEvalGroupIndicator;

    /**
     * 指标参数id
     */
    private Long evalGroupIndicatorParamId;

    /**
     * 指标条件id
     */
    private Long evalGroupIndicatorPreconditionId;

    /**
     * 奖惩参数id
     */
    private Long evalGroupRewardParamId;

    /**
     * 奖惩条件id
     */
    private Long evalGroupRewardPreconditionId;
//
//    /**
//     * 目标值类型; 1:无 2:百分比 3:金额 4:台数
//     */
//    @NotNull(message = "目标值类型不能为空")
//    private TargetTypeEnum targetType;
//
//    /**
//     * 数据类型；1:数量 2:百分比 3:金额
//     */
//    @NotNull(message = "月份不能为空")
//    private DataTypeEnum dataType;
//
//    /**
//     * 指标类型（1.指标，2，考评指标）
//     */
//    @NotNull(message = "指标类型不能为空")
//    private IndicatorCodeTypeEnum codeType;

    /**
     * 月份
     */
    @NotNull(message = "月份不能为空")
    private LocalDate dataDate;

}
