package cn.fw.morax.domain.dto.eval;

import cn.fw.morax.domain.db.eval.EvalRewardDistDetail;
import cn.fw.morax.domain.enums.EvalRewardPushStatusEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 考评池
 * </p>
 *
 * @author jiangchao
 * @since 2023-02-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EvalRewardDistDetailDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空")
    private Long userId;

    /**
     * 用户名称
     */
    @NotNull(message = "用户名称不能为空")
    private String userName;

    /**
     * 岗位id
     */
    @NotNull(message = "岗位id不能为空")
    private Long postId;

    /**
     * 岗位名称
     */
    @NotNull(message = "岗位名称不能为空")
    private String postName;

    /**
     * 门店id
     */
    @NotNull(message = "门店id不能为空")
    private Long shopId;

    /**
     * 门店名称
     */
    @NotNull(message = "门店名称不能为空")
    private String shopName;

    /**
     * 奖惩
     */
    @NotNull(message = "奖惩不能为空")
    private BigDecimal reward;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 集团id
     */
    @NotNull(message = "集团不能为空")
    private Long groupId;

    public EvalRewardDistDetail convertPo(Long rewardDistId) {
        EvalRewardDistDetail evalRewardDistDetail = new EvalRewardDistDetail();
        evalRewardDistDetail.setDistId(rewardDistId);
        evalRewardDistDetail.setUserId(this.getUserId());
        evalRewardDistDetail.setUserName(this.getUserName());
        evalRewardDistDetail.setPostId(this.getPostId());
        evalRewardDistDetail.setPostName(this.getPostName());
        evalRewardDistDetail.setShopId(this.getShopId());
        evalRewardDistDetail.setShopName(this.getShopName());
        evalRewardDistDetail.setReward(this.getReward());
        evalRewardDistDetail.setStatus(EvalRewardPushStatusEnum.APPROVAL);
        evalRewardDistDetail.setGroupId(this.getGroupId());
        evalRewardDistDetail.setYn(Boolean.TRUE);
        return evalRewardDistDetail;
    }

}
