package cn.fw.morax.domain.dto.kpi;

import cn.fw.morax.domain.enums.TargetCalcTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 绩效组指标条件
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KpiGroupIndicatorPreconditionDTO {

    /**
     * 指标库id
     */
//    @NotNull(message = "绩效组指标项不能为空")
//    private Long indicatorId;

    /**
     * 指标编码
     */
    @NotNull(message = "目标计算类型不能为空")
    private String indicatorCode;

    /**
     * 指标库名称
     */
    @NotNull(message = "目标计算类型不能为空")
    private String indicatorName;

    /**
     * 目标计算类型;1: 目标值计算 2:最低要求计算
     */
    private TargetCalcTypeEnum targetCalcType;

    /**
     * 绩效目标值类型; 1:无 2:百分比 3:金额 4:台数
     */
    @NotNull(message = "绩效目标值类型不能为空")
    private TargetTypeEnum targetType;

    /**
     * 目标值
     */
    private BigDecimal targetValue;

    /**
     * 排序
     */
    @NotNull(message = "排序值不能为空")
    private Integer sort;

    /**
     * 前置条件台阶
     */
    private List<KpiGroupIndicatorPreconditionLaddersDTO> condLadders;

}
