package cn.fw.morax.domain.dto.kpi;

import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.domain.dto.AbstractLaddersDto;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 绩效组指标条件得分阶梯
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KpiGroupIndicatorPreconditionLaddersDTO extends AbstractLaddersDto
        implements Comparable<KpiGroupIndicatorPreconditionLaddersDTO>{

    private static final long serialVersionUID = 1L;

//    /**
//     * 绩效组指标条件id
//     */
//    private Long kpiGroupIndicatorCondId;

//    /**
//     * 阶梯下限;大于等于
//     */
//    private BigDecimal lower;
//
//    /**
//     * 阶梯上限;小于; 无上限的情况值为 2<<15
//     */
//    private BigDecimal upper;

    /**
     * 得分百分比
     */
    @NotNull(message = "得分百分比不能为空")
    private BigDecimal scorePercent;

    /**
     * 正序排列
     *
     * @param other
     * @return
     */
    @Override
    public int compareTo(KpiGroupIndicatorPreconditionLaddersDTO other) {
        //优先通过下限比较，上限与下限
        if (PublicUtil.isEmpty(this.upper) || PublicUtil.isEmpty(other.getUpper())) {
            return this.lower.compareTo(other.getLower());
        } else {
            return this.upper.compareTo(other.getUpper());
        }
    }

}
