package cn.fw.morax.domain.dto.kpi;

import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.StarEvaluationEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 绩效组排名配置
 * </p>
 *
 * @author jiangchao
 * @since 2022-09-26
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KpiGroupIndicatorRankDTO {

    /**
     * 绩效组id
     */
    @NotNull(message = "绩效组id不能为空")
    private Long kpiGroupId;

    /**
     * 指标参数id
     */
    private Long kpiGroupIndicatorParamId;

    /**
     * 指标条件id
     */
    private Long kpiGroupIndicatorPreconditionId;

    /**
     * 月份
     */
    @NotNull(message = "月份不能为空")
    private YearMonth monthly;

}
