package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.web.annotation.LoginContextField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.YearMonth;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiPoolQueryDTO
 * @description : 绩效池查询条件
 * @date : 2022-05-05 11:50
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class KpiPoolRankQueryDTO extends BasePageQuery {

    /**
     * 月度
     */
    private YearMonth yearMonth;

    /**
     * 绩效组id
     */
    private Long kpiGroupId;

    /**
     * 绩效排名组id
     */
    private Long kpiGroupRankId;

}
