package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.web.annotation.LoginContextField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.YearMonth;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryPoolQueryDTO
 * @description : 薪酬池查询条件
 * @date : 2022-05-05 11:50
 */
@Data
@ToString(callSuper = true)
public class StaffSalaryQueryDTO {
    /**
     * 管理员工列表
     *
     * @ignore
     */
    private List<Long> staffIds;

    /**
     * 门店列表
     *
     * @ignore
     */
    private List<Long> shopIds;

    /**
     * 年月
     *
     * @ignore
     */
    private YearMonth yearMonth;

    /**
     * 当前登录人id
     *
     * @ignore
     */
    @LoginContextField(value = LoginContextField.Name.USER_ID)
    private Long currentUserId;

    /**
     * 当前登录人集团id
     *
     * @ignore
     */
    @LoginContextField(value = LoginContextField.Name.GROUP_ID)
    private Long groupId;
}
