package cn.fw.morax.domain.dto.salary;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬项目配置
 */
@Data
public class SalaryGroupProjectSettinDTO {

    /**
     * 阶梯key;新车销售按车系计算对应车系id
     * 星级则是对应星级枚举
     * 阶梯等则是对应指标id
     */
//    @NotNull(message = "阶梯key不能为空")
    private Long stairKey;

    /**
     * 阶梯key对应描述 同上
     */
//    @NotBlank(message = "阶梯对应描述不能为空")
    private String stairKeyDesc;

    /**
     * 计算基础值
     */
    @NotNull(message = "基础金额不能为空")
    private BigDecimal stairValue;

    /**
     * 阶梯值下限
     */
    private BigDecimal stairMin;

    /**
     * 阶梯值上限
     */
    private BigDecimal stairMax;

}