package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 考评周期类型
 *
 * @author kurisu
 */
public enum EvalRewardCalMethodEnum implements IEnum<Integer> {
    /**
     * 计算方式；1: 排名正负激励 2:固定值 3:阶梯 4:总金额占比 5.阶梯翻倍
     */
    RANK(1, "排名正负激励"),
    FIXATION(2, "固定值"),
    LADDER(3, "阶梯"),
    TOTAL_PROPORTION(4, "总金额占比"),
    LADDER_DOUBLE(5, "阶梯翻倍"),
//    ADDITIONAL_REWARDS(5, "固定值+超额部分追加奖励"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    EvalRewardCalMethodEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static EvalRewardCalMethodEnum ofValue(final Integer value) {
        for (final EvalRewardCalMethodEnum _enum : EvalRewardCalMethodEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final EvalRewardCalMethodEnum _enum : EvalRewardCalMethodEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getName();
            }
        }
        return "";
    }
}
