package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * @author : kurisu
 * @className : KpiRuleTypeEnum
 * @description : 绩效星级特殊规则枚举
 * @date: 2022-04-06 10:41
 */
public enum KpiStarSpecialRuleTypeEnum implements IEnum<Integer> {
    /**
     * 1:开始绩效考核时间 2:星级调整 3:绩效考核默认C级 4:免除D级次数
     */
    START_KPI_DATE(1, "开始绩效考核时间"),
    STAR_ADJUSTMENT(2, "星级调整"),
    DEFAULT_KPI_STAR(3, "绩效考核默认C级"),
    DISPENSE_D_LEVEL(4, "免除D级次数"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    KpiStarSpecialRuleTypeEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static KpiStarSpecialRuleTypeEnum ofValue(final Integer value) {
        for (final KpiStarSpecialRuleTypeEnum _enum : KpiStarSpecialRuleTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final KpiStarSpecialRuleTypeEnum _enum : KpiStarSpecialRuleTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getName();
            }
        }
        return "";
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }
}
