package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 草稿类型
 *
 * @author kurisu
 */
public enum SettingDraftTypeEnum implements IEnum<Integer> {
    /**
     * 草稿类型; 1:考评 2: 绩效 3: 薪酬
     */
    EVAL(1, "考评"),
    KPI(2, "绩效"),
    SALARY(3, "薪酬"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    SettingDraftTypeEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static SettingDraftTypeEnum ofValue(final Integer value) {
        for (final SettingDraftTypeEnum _enum : SettingDraftTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final SettingDraftTypeEnum _enum : SettingDraftTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getName();
            }
        }
        return "";
    }
}
