package cn.fw.morax.domain.vo;

import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.dto.eval.EvalDTO;
import cn.fw.morax.domain.dto.kpi.KpiGroupDTO;
import cn.fw.morax.domain.dto.salary.SalaryGroupDTO;
import cn.fw.morax.domain.enums.SettingDraftTypeEnum;
import lombok.Data;

/**
 * <p>
 * 草稿
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-13
 */
@Data
public class SettingDraftVO {

    /**
     * id
     */
    private Long id;

    /**
     * 草稿类型; 1:考评 2: 绩效 3: 薪酬
     */
    private SettingDraftTypeEnum type;

    /**
     * 关联id
     */
    private Long unionId;

    /**
     * 绩效内容【json】
     */
    private KpiGroupDTO kpiGroup;

    /**
     * 薪酬内容【json】
     */
    private SalaryGroupDTO salaryGroup;

    /**
     * 考评内容【json】
     */
    private EvalDTO eval;


    /**
     * 集团id
     force     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

    /**
     * 用户名
     force     */
    @LoginContextField(LoginContextField.Name.USER_NAME)
    private String userName;

    /**
     * 用户名
     force     */
    @LoginContextField(LoginContextField.Name.USER_ID)
    private Long userId;

    /**
     * 审批单号
     */
    private String approvalNo;


}
