package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.common.constant.Constant;
import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.domain.enums.DataTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 指标项得分阶梯
 */
@Data
public class EvalGroupIndicatorLaddersVO {
    /**
     * id
     */
    private Long id;
    /**
     * 绩效组指标项id
     */
    private Long evalGroupIndicatorId;
    /**
     * 阶梯下限;大于等于
     */
    private BigDecimal lower;
    /**
     * 阶梯上限;小于; 无上限的情况值为 2<<15
     */
    private BigDecimal upper;
    /**
     * 标准分;本阶梯对应标准分
     */
    private Integer standardScore;
    /**
     * 命中
     */
    private Boolean hit;
    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

    /**
     * 转换阶梯为百分数展示
     */
    public void convertLadderToPercent(DataTypeEnum laddersType){
        if (PublicUtil.isNotEmpty(laddersType) && DataTypeEnum.RATIO.equals(laddersType)) {
            this.setUpper(this.getUpper().multiply(Constant.ONE_HUNDRED));
            this.setLower(this.getLower().multiply(Constant.ONE_HUNDRED));
        }
    }
}