package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评组
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupVO {

    /**
     * id
     */
    private Long id;

    /**
     * 考评组编码
     */
    private String egc;

    /**
     * 考评，活动名称
     */
    private String name;

    /**
     * 考评类型; 1:活动考评 2:其他考评
     */
//    private EvalTypeEnum type;

    /**
     * 考评范围; 1:门店考评 2:人员考评
     */
    private EvalScopeEnum scopeType;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> shopNames;

    /**
     * 适用角色编码
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleCodes;
    /**
     * 适用角色名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleNames;

    /**
     * 调整原因
     */
    private String reason;

    /**
     * 附件;fid逗号隔开
     */
    private List<String> attachment;


    /**
     * 包含指标数量
     */
    private Integer indicatorNum;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 生效时间
     */
    private LocalDate beginTime;

    /**
     * 结束时间
     */
    private LocalDate overTime;

    /**
     * 考评指标
     */
    private List<EvalGroupIndicatorVO> indicators;

    /**
     * 考评奖惩
     */
    private List<EvalGroupRewardVO> rewards;

}
