package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.DimensionTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 考评指标导入记录
 * </p>
 *
 * @author jiangchao
 * @since 2023-01-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EvalIndicatorImportRecordVO{

    private static final long serialVersionUID = 1L;

    /**
     * 导入人员id
     */
    private Long id;

    /**
     * 导入人员id
     */
    private Long importUserId;

    /**
     * 导入人员名称
     */
    private String importUserName;

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 门店名称
     */
    private String shopName;

    /**
     * 维度类型 1：人员 2：门店
     */
    private DimensionTypeEnum dimensionType;

    /**
     * 指标编码
     */
    private String indicatorCode;

    /**
     * 指标库名称
     */
    private String indicatorName;

    /**
     * 类型：1: 百分比 2:数量 3:条件值 4:金额 
     */
    private Integer valueType;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    /**
     * 导入条数
     */
    private Integer num;

    /**
     * 成功导入条数
     */
    private Integer successNum;

    /**
     * 失败导入条数
     */
    private Integer errorNum;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 保存的key
     */
    private String key;

    /**
     * 导入详情
     */
    private List<EvalIndicatorImportDetailVO> details;

}
