package cn.fw.morax.domain.vo.eval;

import cn.fw.morax.common.constant.Constant;
import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.domain.enums.DataTypeEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Optional;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效池
 */
@Data
public class EvalIndicatorRankShopVO implements Comparable<EvalIndicatorRankShopVO>{
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 指标排名序号
     */
    private Integer indicatorRank;

    /**
     * 原始值
     */
    private BigDecimal originValue;

    /**
     * 达成值
     */
    private BigDecimal reachValue;

    /**
     * 转换为百分数展示
     */
    public void convertReportValueToPercent(DataTypeEnum dataType){
        if (PublicUtil.isNotEmpty(dataType) && DataTypeEnum.RATIO.equals(dataType)) {
            this.setReachValue(this.getReachValue().multiply(Constant.ONE_HUNDRED));
            this.setOriginValue(this.getOriginValue().multiply(Constant.ONE_HUNDRED));
        }
    }

    /**
     * 转换为百分数展示
     */
    public void convertValueForTarget(DataTypeEnum dataType){
        if (PublicUtil.isNotEmpty(dataType) && DataTypeEnum.RATIO.equals(dataType)) {
            this.setOriginValue(this.getOriginValue().multiply(Constant.ONE_HUNDRED));
        }
        this.setReachValue(this.getReachValue().multiply(Constant.ONE_HUNDRED));
    }

    @Override
    public int compareTo(EvalIndicatorRankShopVO other) {
        return Optional.ofNullable(other.originValue).orElse(BigDecimal.ZERO)
                .compareTo(Optional.ofNullable(this.originValue).orElse(BigDecimal.ZERO));
    }
}