package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.dto.eval.EvalGroupIndicatorLaddersDTO;
import cn.fw.morax.domain.dto.eval.EvalGroupIndicatorParamDTO;
import cn.fw.morax.domain.dto.eval.EvalGroupIndicatorPreconditionDTO;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评指标明细
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EvalPoolIndicatorDetailVO {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 考评池id
     */
    private Long evalPoolId;

    /**
     * 考评范围; 1:人员 2:门店
     */
    private EvalScopeEnum scopeType;

    /**
     * 考评项id
     */
    private Long evalGroupIndicatorId;

    /**
     * 指标名称
     */
    private String name;

    /**
     * 基础绩效分
     */
    private Integer baseScore;

    /**
     * 考评得分
     */
    private BigDecimal score;

    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private ScoreWayEnum scoreWay;

    /**
     * 命中的台阶指标值
     */
    private BigDecimal hitLadderValue;
    /**
     * 命中的提成指标值
     */
    private BigDecimal hitCommissionValue;

//    /**
//     * 考评得分率
//     */
//    private BigDecimal scoreRatio;

    /**
     * 考评得分（格式化）
     */
    private String scoreFormat;

    /**
     * 考评得分率（格式化）
     */
    private String scoreRatioFormat;

    /**
     * 数据日期
     */
//    private LocalDate dataDate;

    /**
     * 数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum laddersType;

    /**
     * 台阶参数别名
     */
    public String ladderParamAlias;

    /**
     * 提成参数别名
     */
    public String commissionParamAlias;

    /**
     * 前置条件别名
     */
    public String preconditionAlias;

    /**
     * 提成参数
     */
    @Valid
    private List<EvalGroupIndicatorParamVO> commissionParams;

    /**
     * 台阶参数
     */
    @Valid
    private List<EvalGroupIndicatorParamVO> ladderParams;

    /**
     * 条件
     */
    @Valid
    private List<EvalGroupIndicatorPreconditionVO> conds;

    /**
     * 指标阶梯
     */
    @Valid
    private List<EvalGroupIndicatorLaddersVO> ladders;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
