package cn.fw.morax.domain.vo.eval;

import cn.fw.morax.common.annotation.ExcelField;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.List;

@Data
public class StaffIndicatorValueVO {

    /**
     * 归属人员
     */
    @ExcelField(title = "归属人员", sort = 0, charSize = 40)
    private String staffName;

    /**
     * 归属门店
     */
    @ExcelField(title = "归属门店", sort = 1, charSize = 16)
    private String shopName;

    /**
     * 指标名称
     */
    @ExcelField(title = "指标名称", sort = 2, charSize = 16)
    private String indicatorName;

    /**
     * 指标值
     */
    @ExcelField(title = "指标值", sort = 3, charSize = 16)
    private String indicatorValue;

    /**
     * 考核周期
     */
    @ExcelField(title = "考核周期", sort = 4, charSize = 16)
    private String dataDate;

    public static List<StaffIndicatorValueVO> templateData() {
        List<StaffIndicatorValueVO> templates = new ArrayList<>();
        StaffIndicatorValueVO valueVO = new StaffIndicatorValueVO();
        valueVO.setStaffName("张三");
        valueVO.setShopName("宁夏瑞静B4-17店");
        valueVO.setIndicatorName("活动成交任务达成率");
        valueVO.setIndicatorValue("0.1");
        valueVO.setDataDate(DateTimeFormatter.ofPattern("yyyy-MM-dd").format(LocalDate.now()));
        templates.add(valueVO);
        return templates;
    }
}
