package cn.fw.morax.domain.vo.kpi;

import cn.fw.morax.common.constant.Constant;
import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorParam;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.ParamTypeEnum;
import cn.fw.morax.domain.enums.TargetCalcTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author jiangchao
 * @des:
 * @date 2022/12/5 9:29
 */
@Data
public class KpiGroupIndicatorParamVO {

    /**
     * id
     */
    private Long id;

    /**
     * 绩效组配置id
     */
    private Long kpiGroupId;

    /**
     * 绩效组指标id
     */
    private Long kpiGroupIndicatorId;

    /**
     * 指标库id
     */
    @NotNull(message = "绩效组指标项不能为空")
    private Long indicatorId;

    /**
     * 指标编码
     */
    @NotNull(message = "指标编码不能为空")
    private String indicatorCode;

    /**
     * 指标库名称
     */
    @NotNull(message = "指标库名称不能为空")
    private String indicatorName;

    /**
     * 条件类型（1.台阶条件，2，提成条件）
     */
    private ParamTypeEnum paramType;

    /**
     * 占比
     */
    @NotNull(message = "占比不能为空")
    private BigDecimal proportion;

    /**
     * 是否封顶
     */
    @NotNull(message = "是否封顶不能为空")
    private Boolean cap;

    /**
     * 目标计算类型;1: 目标值计算 2:最低要求计算
     */
    @NotNull(message = "目标计算类型不能为空")
    private TargetCalcTypeEnum targetCalcType;

    /**
     * 绩效目标值类型; 1:无 2:百分比 3:金额 4:台数
     */
    private TargetTypeEnum targetType;

    /**
     * 目标值
     */
    private BigDecimal targetValue;

    /**
     * 指标值
     */
    private BigDecimal indicatorValue;

    /**
     * 达成值
     */
    private BigDecimal reachValue;

    /**
     * 数据类型；1:台数 2:百分比 3:金额
     */
    private DataTypeEnum dataType;

    /**
     * 处理百分数
     */
    public void processPercent() {
        this.setProportion(this.getProportion().multiply(Constant.ONE_HUNDRED));
        if (TargetTypeEnum.RATIO.equals(this.getTargetType())) {
            this.setTargetValue(this.getTargetValue().multiply(Constant.ONE_HUNDRED));
        }
    }

}
