package cn.fw.morax.domain.vo.kpi;

import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效组指标项
 */
@Data
public class KpiGroupIndicatorVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 指标库名称
     */
    private String name;
    /**
     * 参数别名
     */
    private String paramAlias;
    /**
     * 绩效组配置id
     */
    private Long kpiGroupId;

//    /**
//     * 指标库id
//     */
//    private Long indicatorId;
//    /**
//     * 指标编码
//     */
//    private String indicatorCode;
//    /**
//     * 指标库名称
//     */
//    private String indicatorName;
    /**
     * 基础绩效分
     */
    private Integer baseScore;
    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private ScoreWayEnum scoreWay;

    /**
     * 数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum laddersType;

//    /**
//     * 绩效指标、综合指标值
//     */
//    private BigDecimal paramsValue;

    /**
     * 指标参数
     */
    private List<KpiGroupIndicatorParamVO> ladderParams;

    /**
     * 提成参数
     */
    private List<KpiGroupIndicatorParamVO> commissionParams;

    /**
     * 前置条件配置
     */
    private List<KpiGroupIndicatorPreconditionVO> conds;

    /**
     * 指标目标
     */
    private List<KpiGroupIndicatorTargetVO> targets;

//    /**
//     * 绩效目标值类型; 1:无 2:百分比 3:金额
//     */
//    private TargetTypeEnum targetType;
//    /**
//     * 绩效目标值
//     */
//    private BigDecimal targetValue;
    /**
     * 得分阶梯
     */
    private List<KpiGroupIndicatorLaddersVO> indicatorLadders;

}