package cn.fw.morax.domain.vo.kpi;

import cn.fw.morax.domain.enums.StarEvaluationEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Set;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效组配置
 */
@Data
public class KpiGroupRankVO {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 组合名称
     */
    private String name;

    /**
     * 岗位id
     */
    private List<Long> postIds;
    /**
     * 岗位名称
     */
    private Set<String> postNames;
    /**
     * 适用门店ids
     */
    private List<Long> shopIds;
    /**
     * 适用门店名称
     */
    private Set<String> shopNames;
    /**
     * 绩效组编码
     */
    private List<String> kgcs;

    /**
     * 绩效组名称
     */
    private List<String> kpiGroupNames;

    /**
     * 星级评定方式;1:绩效得分率 2:人员百分比
     */
    private StarEvaluationEnum starEvaluationType;

    /**
     * 撤销D级得分率
     */
    private BigDecimal revokedScoreRatio;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 绩效组
     */
    private List<KpiGroupVO> kpiGroups;

    /**
     * 绩效组星级排名
     */
    private List<KpiGroupRankStarLaddersVO> starLadders;

}