package cn.fw.morax.domain.vo.kpi;

import cn.fw.morax.domain.enums.*;
import cn.fw.morax.domain.vo.eval.EvalIndicatorRankShopVO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.YearMonth;
import java.util.Date;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效池
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class KpiIndicatorRankVO {

    /**
     * 指标名称
     */
    private String indicatorName;

    /**
     * 指标编码
     */
    private String indicatorCode;

    /**
     * 截止时间
     */
    private Date deadlineDate;

    /**
     * 目标计算类型;1: 目标值计算 2:最低要求计算
     */
    private TargetCalcTypeEnum targetCalcType;

    /**
     * 绩效目标值类型; 1:无 2:百分比 3:金额 4:台数
     */
    private TargetTypeEnum targetType;

    /**
     * 目标值
     */
    private BigDecimal targetValue;

    /**
     * 数据类型；1:台数 2:百分比 3:金额
     */
    private DataTypeEnum dataType;

    /**
     * 排名人员
     */
    private List<KpiIndicatorRankStaffVO> staffs;

    /**
     * 排名门店
     */
    private List<EvalIndicatorRankShopVO> shops;


}