package cn.fw.morax.domain.vo.salary;


import cn.fw.morax.domain.enums.SalaryTypeEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author : jiangchao
 * @date : 2022-5-25
 * @desc : 薪资类型
 */
@Data
public class DeductVO implements Comparable<DeductVO>{

    /**
     * 项目类型 1:绩效提成 2:内部奖励 3:内部罚款 4:福利补贴 5:社保扣款 6:试用期工资
     */
    private SalaryTypeEnum salaryType;

    /**
     * 总额
     */
    private BigDecimal salaryTypeAmount;

    /**
     * 支出
     */
    private List<DeductProjectVO> details;

    public DeductVO() {
    }

    public DeductVO(SalaryTypeEnum salaryType, BigDecimal salaryTypeAmount, List<DeductProjectVO> details) {
        this.salaryType = salaryType;
        this.salaryTypeAmount = salaryTypeAmount;
        this.details = details;
    }

    @Override
    public int compareTo(DeductVO other) {
        return this.salaryType.getValue().compareTo(other.getSalaryType().getValue());
    }

}
