package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.SalaryCalMethodEnum;
import cn.fw.morax.domain.enums.StarLevelEnum;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorLaddersVO;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 指标项得分详情
 */
@Data
public class SalaryGroupIndicatorDetailVO {

    /**
     * 开始时间
     */
    private LocalDateTime beginDate;

    /**
     * 截止时间
     */
    private LocalDateTime endDate;

    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 薪酬项目名称
     */
    private String name;
    /**
     * 计算方式;1: 星级 2:固定金额 3:阶梯提成 4:车系提成 99:动态
     */
    private SalaryCalMethodEnum calMethod;
    /**
     * 星级
     */
    private StarLevelEnum starLevel;
//    /**
//     * 命中的台阶指标值
//     */
//    private BigDecimal hitLadderValue;
    /**
     * 薪酬值
     */
    private BigDecimal salaryValue;

    /**
     * 台阶参数别名
     */
    public String ladderParamAlias;

    /**
     * 提成参数别名
     */
    public String commissionParamAlias;

    /**
     * 前置条件别名
     */
    public String preconditionAlias;

    /**
     * 数据类型；1:数量 2:百分比 3:金额
     */
    private DataTypeEnum laddersType;

    /**
     * 薪酬阶梯
     */
    private List<SalaryGroupProjectSettinVO> settings;

    /**
     * 台阶参数
     */
    private List<SalaryGroupProjectParamVO> ladderParams;

    /**
     * 提成参数
     */
    private List<SalaryGroupProjectParamVO> commissionParams;

    /**
     * 条件
     */
    private List<SalaryGroupProjectPreconditionVO> conds;

}