package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.domain.enums.SalaryCalMethodEnum;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.util.List;
import java.util.Map;


/**
 * 指标选择器vo
 *
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryProjectSelectorVO
 * @description : 指标选择器vo
 * @date : 2022-05-12 10:09
 */
@Data
public class SalaryProjectSelectorVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 薪酬项编码
     */
    private String salaryCode;
    /**
     * 薪酬项名称
     */
    private String salaryName;
    /**
     * 可选计算方式;1: 星级 2:固定金额 3:阶梯提成(单) 4:按量 5: 固定提成 6:阶梯提成(总)
     * 逗号隔开
     */
    @JsonIgnore
    private List<Integer> optionalMethod;


    /**
     * 可选计算方式
     */
    private List<OptionalMethod> optionalMethods;

    @Data
    public
    class OptionalMethod {

        /**
         * 值
         */
        private Integer value;

        /**
         * 名称
         */
        private String label;


        public OptionalMethod() {
        }

        public OptionalMethod(Integer value, String label) {
            this.value = value;
            this.label = label;
        }
    }
}
