package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.domain.enums.ApplicableRoleEnum;
import lombok.Data;

import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-2
 * @desc : 薪酬项
 */
@Data
public class SalaryProjectVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 薪酬项编码
     */
    private String salaryCode;
    /**
     * 薪酬项名称
     */
    private String salaryName;
    /**
     * 可选计算方式;1: 星级 2:固定金额 3:阶梯提成(单) 4:按量 5: 固定提成 6:阶梯提成(总)
     * 逗号隔开
     */
    private String optionalMethod;
    /**
     * 可见的;对用户可见 只有对用户可见的才能配置薪酬项，否则为系统使用的项目
     */
    private Boolean visible;
    /**
     * 适用角色类型;1: 全部角色 2:全部管理角色 3:自定义
     */
    private ApplicableRoleEnum roleType;

    /**
     * 适用角色编码
     */
    private List<String> roleCodes;

    /**
     * 适用角色名称
     */
    private List<String> roleNames;

    /**
     * 启用/禁用;
     * 0:禁用 1:启用
     */
    private Boolean enable;
}