package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.domain.enums.StarLevelEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.time.YearMonth;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryPoolDetailVO
 * @description : 员工工资详情
 * @date : 2022-05-05 16:45
 */
@Data
public class StaffSalaryVO {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 薪酬池id
     */
    private Long salaryPoolId;
//    /**
//     * 薪酬项id
//     */
//    private Long salaryProjectId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 月度
     */
    private YearMonth monthly;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 本月薪资(剩余应发)
     */
    private BigDecimal wages;
    /**
     * 星级
     */
    private StarLevelEnum starLevel;
    /**
     * 已发奖励
     */
    private BigDecimal paidRewards;
    /**
     * 未缴处罚金额
     */
    private BigDecimal noPaidPunishRewards;
    /**
     * 社保
     */
    private BigDecimal socialSecurity;
    /**
     * 本月薪资
     */
    private BigDecimal totalWages;
    /**
     * 收入
     */
    private List<IncomeVO> income;
    /**
     * 扣款
     */
    private List<DeductVO> deduct;

    public String getStarLevelDesc() {
        return starLevel.getName();
    }
}
