package cn.fw.morax.sdk.api;

import cn.fw.data.base.domain.common.Message;
import cn.fw.morax.sdk.dto.CustomList;
import cn.fw.morax.sdk.dto.common.IndicatorShopValueReq;
import cn.fw.morax.sdk.dto.common.IndicatorValueReq;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;

/**
 * 指标上报类
 *
 * @author : kurisu
 * @version : 2.0
 * @className : IndicatorReportService
 * @description : 指标上报类
 * @date : 2022-12-21 17:23
 */
@FeignClient(value = "fw-morax", path = "/api/morax/indicator")
public interface IndicatorReportService {
    /**
     * 上报人员指标数据数据
     *
     * @param userIndicatorList 人员指标数据
     * @return void
     */
    @PostMapping("/report/up")
    Message<Void> indicatorReport(@Valid @RequestBody CustomList<IndicatorValueReq> userIndicatorList);

    /**
     * 上报门店指标数据数据
     *
     * @param shopIndicatorList 门店指标数据
     * @return void
     */
    @PostMapping("/report-shop/up")
    Message<Void> indicatorShopReport(@Valid @RequestBody CustomList<IndicatorShopValueReq> shopIndicatorList);
}
