package cn.fw.morax.sdk.dto.common;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author : kurisu
 * @version : 2.0
 * @className : IndicatorValueDTO
 * @description : 指标项dto
 * @date : 2022-12-22 14:32
 */
@Data
public class IndicatorValueDTO {
    /**
     * key值
     * 绩效值类型为{@link  IndicatorValueEnum#CONDITION} 的情况填对应关键的id
     * 其他情况则与指标code保持一致
     */
    private String key;
    /**
     * 指标对应值
     * (如果是百分比的情况则使用0.x)
     * eg. 56.5% 则对应值为 0.565
     */
    @NotNull(message = "薪酬项对应值不能为空")
    private BigDecimal value;

    public IndicatorValueDTO(BigDecimal value) {
        this.value = value;
    }

    public IndicatorValueDTO(String key, BigDecimal value) {
        this.key = key;
        this.value = value;
    }

    public IndicatorValueDTO() {
    }
}
