package cn.fw.morax.sdk.dto.salary;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiGroupUserQuery
 * @description : 薪酬组人员查询参数
 * @date : 2022-04-11 16:08
 */
@Data
public class SalaryGroupUserQuery {
    /**
     * 薪酬编码
     */
    @NotBlank(message = "薪酬编码不能为空", groups = {Query.class})
    private String salaryCode;
    /**
     * 岗位id
     */
    @NotNull(message = "岗位Id不能为空", groups = {Query.class})
    private Long postId;
    /**
     * 集团id
     */
    @NotNull(message = "集团id不能为空", groups = {Query.class, GroupQuery.class})
    private Long groupId;
    /**
     * 数据日期（时间戳，毫秒）
     */
    @NotNull(message = "数据日期不能为空", groups = {Query.class, GroupQuery.class})
    private Long dataDate;

    /**
     * 查询校验分组
     */
    public interface Query {
    }

    /**
     * 集团薪酬组查询校验分组
     */
    public interface GroupQuery {
    }

}
