package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalGroup;
import cn.fw.morax.domain.db.kpi.KpiGroup;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.lang.NonNull;
import org.springframework.lang.Nullable;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评组 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupService extends IService<EvalGroup> {

    /**
     * 获取所有生效中考评组数据
     *
     * @return
     */
    List<EvalGroup> getAllEffectGroups(@NonNull final LocalDate localDate);

    /**
     * 查询指定日期生效中的的考评组id集合
     *
     * @param localDate 日期
     * @return
     */
    @Nullable
    Set<Long> queryCalculableEvalGroupIds(@NonNull final LocalDate localDate);

    /**
     * 查询指定日期生效中的的考评组id集合
     *
     * @param localDate 日期
     * @return
     */
    @Nullable
    Set<Long> queryDistributionShopReward(@NonNull final LocalDate localDate);

}
