package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalIndicatorValue;
import cn.fw.morax.domain.enums.DimensionTypeEnum;
import cn.fw.morax.domain.vo.kpi.IndicatorUserValueVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评组 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalIndicatorValueService extends IService<EvalIndicatorValue> {

    /**
     * 查最新上报数据（一个月内）
     *
     * @param referId
     * @param dimensionType
     * @param indicatorCode
     * @param dataDate
     * @return
     */
    EvalIndicatorValue queryLastValue(Long referId, DimensionTypeEnum dimensionType,
                                      String indicatorCode, LocalDate dataDate);

    /**
     * 获取指标原始上报记录
     *
     * @param code
     * @param monthly
     * @param userIds
     * @return
     */
    List<EvalIndicatorValue> getStaffReportData(String code, YearMonth monthly, Set<Long> userIds);

    /**
     * 获取指标原始上报记录
     *
     * @param code
     * @param monthly
     * @param shopIds
     * @return
     */
    List<EvalIndicatorValue> getShopReportData(String code, YearMonth monthly, Set<Long> shopIds);

}
