package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.dao.eval.EvalGroupIndicatorPreconditionLaddersDao;
import cn.fw.morax.domain.db.eval.EvalGroupIndicatorPreconditionLadders;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorPreconditionLadders;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorPreconditionLaddersVO;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorPreconditionLaddersVO;
import cn.fw.morax.service.data.eval.EvalGroupIndicatorPreconditionLaddersService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 考评组指标条件得分阶梯 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupIndicatorPreconditionLaddersServiceImpl
        extends ServiceImpl<EvalGroupIndicatorPreconditionLaddersDao, EvalGroupIndicatorPreconditionLadders>
        implements EvalGroupIndicatorPreconditionLaddersService {

    @Override
    public List<EvalGroupIndicatorPreconditionLaddersVO> getVOS(Long preconditionId, TargetTypeEnum targetType, DataTypeEnum dataType) {
        List<EvalGroupIndicatorPreconditionLadders> preconditionLadders = this.list(Wrappers.<EvalGroupIndicatorPreconditionLadders>lambdaQuery()
                .eq(EvalGroupIndicatorPreconditionLadders::getPreconditionId, preconditionId)
                .eq(EvalGroupIndicatorPreconditionLadders::getYn, Boolean.TRUE)
        );
        List<EvalGroupIndicatorPreconditionLaddersVO> preconditionLaddersVOS = PublicUtil.copyList(preconditionLadders, EvalGroupIndicatorPreconditionLaddersVO.class);
        for (EvalGroupIndicatorPreconditionLaddersVO preconditionLaddersVO : preconditionLaddersVOS) {
            preconditionLaddersVO.convertLaddersToPercent(targetType, dataType);
        }
        return preconditionLaddersVOS;
    }

}
