package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalGroupDao;
import cn.fw.morax.domain.db.eval.EvalGroup;
import cn.fw.morax.domain.db.kpi.KpiGroup;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.service.data.eval.EvalGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.lang.NonNull;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评组 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupServiceImpl extends ServiceImpl<EvalGroupDao, EvalGroup> implements EvalGroupService {

    @Override
    public List<EvalGroup> getAllEffectGroups(@NonNull final LocalDate localDate) {
        return this.getBaseMapper().getAllEffectGroups(localDate);
    }

    @Override
    public Set<Long> queryCalculableEvalGroupIds(LocalDate localDate) {
        return this.baseMapper.queryCalculableEvalGroupIds(localDate);
    }

    @Override
    public Set<Long> queryDistributionShopReward(LocalDate localDate) {
        return this.baseMapper.queryDistributionShopReward(localDate, EvalScopeEnum.SHOP.getValue());
    }
}
