package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalIndicatorDao;
import cn.fw.morax.domain.db.eval.EvalIndicator;
import cn.fw.morax.domain.db.kpi.Indicators;
import cn.fw.morax.service.data.eval.EvalIndicatorService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.lang.NonNull;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 考评指标 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalIndicatorServiceImpl extends ServiceImpl<EvalIndicatorDao, EvalIndicator> implements EvalIndicatorService {

    @Override
    public EvalIndicator queryByCode(@NonNull final String indicatorCode, final Boolean checkEffective) {
        return getOne(Wrappers.<EvalIndicator>lambdaQuery()
                        .eq(EvalIndicator::getCode, indicatorCode)
                        .eq(Boolean.TRUE.equals(checkEffective), EvalIndicator::getEnable, Boolean.TRUE)
                        .eq(EvalIndicator::getYn, Boolean.TRUE)
                , false);
    }

}
