package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalPoolIndicatorDetailDao;
import cn.fw.morax.domain.db.eval.EvalPoolIndicatorDetail;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.vo.eval.EvalPoolIndicatorDetailVO;
import cn.fw.morax.service.data.eval.EvalPoolIndicatorDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评指标明细 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalPoolIndicatorDetailServiceImpl extends ServiceImpl<EvalPoolIndicatorDetailDao, EvalPoolIndicatorDetail>
        implements EvalPoolIndicatorDetailService {

    @Override
    public List<EvalPoolIndicatorDetailVO> getStaffIndicatorValues(Long evalPoolId, Long evalGroupId, LocalDate localDate) {
        return this.baseMapper.getStaffIndicatorValues(evalPoolId, EvalScopeEnum.STAFF.getValue(), evalGroupId, localDate);
    }

    @Override
    public List<EvalPoolIndicatorDetailVO> getShopIndicatorValues(Long evalPoolId, Long evalGroupId, LocalDate localDate) {
        return this.baseMapper.getStaffIndicatorValues(evalPoolId, EvalScopeEnum.SHOP.getValue(), evalGroupId, localDate);
    }

    @Override
    public EvalPoolIndicatorDetailVO getIndicatorValue(Long evalPoolId, EvalScopeEnum scopeType, Long evalGroupIndicatorId, LocalDate localDate) {
        return this.baseMapper.getStaffIndicatorValue(evalPoolId, scopeType.getValue(), evalGroupIndicatorId, localDate);
    }
}
