package cn.fw.morax.service.data.kpi;

import cn.fw.morax.domain.db.kpi.IndicatorUserValue;
import cn.fw.morax.domain.vo.kpi.IndicatorUserValueVO;
import cn.fw.morax.domain.vo.kpi.KpiIndicatorRankStaffVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * 用户上报的绩效数据
 *
 * @author : kurisu
 * @version : 2.0
 * @className : IndicatorUserValueService
 * @description : 用户上报的绩效数据
 * @date : 2022-12-15 11:24
 */
public interface IndicatorUserValueService extends IService<IndicatorUserValue> {

    /**
     * 获取指标原始上报记录
     *
     * @param indicatorCode
     * @param monthly
     * @param userIds
     * @return
     */
    List<IndicatorUserValueVO> getStaffReportData(String indicatorCode, YearMonth monthly, Set<Long> userIds);

    /**
     * 获取指标原始上报记录
     *
     * @param indicatorCode
     * @param monthly
     * @param shopIds
     * @return
     */
    List<IndicatorUserValueVO> getShopReportData(String indicatorCode, YearMonth monthly, Set<Long> shopIds);
}
