package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.dao.kpi.IndicatorUserValueDao;
import cn.fw.morax.domain.db.kpi.IndicatorUserValue;
import cn.fw.morax.domain.vo.kpi.IndicatorUserValueVO;
import cn.fw.morax.service.data.kpi.IndicatorUserValueService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * 绩效上报的数据
 *
 * @author : kurisu
 * @version : 2.0
 * @className : IndicatorUserValueServiceImpl
 * @description : 绩效上报的数据
 * @date : 2022-12-15 11:25
 */
@Service
@Slf4j
public class IndicatorUserValueServiceImpl extends ServiceImpl<IndicatorUserValueDao, IndicatorUserValue> implements IndicatorUserValueService {

    @Override
    public List<IndicatorUserValueVO> getStaffReportData(String indicatorCode, YearMonth monthly, Set<Long> userIds) {
        return this.baseMapper.getReportData(indicatorCode, monthly, userIds, null);
    }

    @Override
    public List<IndicatorUserValueVO> getShopReportData(String indicatorCode, YearMonth monthly, Set<Long> shopIds) {
        return this.baseMapper.getReportData(indicatorCode, monthly, null, shopIds);
    }
}
