package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.common.utils.PublicUtil;
import cn.fw.morax.dao.kpi.KpiGroupIndicatorPreconditionLaddersDao;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorPreconditionLadders;
import cn.fw.morax.domain.enums.DataTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorPreconditionLaddersVO;
import cn.fw.morax.service.data.kpi.KpiGroupIndicatorPreconditionLaddersService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 绩效组指标条件得分阶梯 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
@Service
public class KpiGroupIndicatorPreconditionLaddersServiceImpl extends ServiceImpl<KpiGroupIndicatorPreconditionLaddersDao, KpiGroupIndicatorPreconditionLadders> implements KpiGroupIndicatorPreconditionLaddersService {

    @Override
    public List<KpiGroupIndicatorPreconditionLaddersVO> getVOS(Long preconditionId, TargetTypeEnum targetType, DataTypeEnum dataType) {
        List<KpiGroupIndicatorPreconditionLadders> preconditionLadders = this.list(Wrappers.<KpiGroupIndicatorPreconditionLadders>lambdaQuery()
                .eq(KpiGroupIndicatorPreconditionLadders::getPreconditionId, preconditionId)
                .eq(KpiGroupIndicatorPreconditionLadders::getYn, Boolean.TRUE)
        );
        List<KpiGroupIndicatorPreconditionLaddersVO> preconditionLaddersVOS = PublicUtil.copyList(preconditionLadders, KpiGroupIndicatorPreconditionLaddersVO.class);
        for (KpiGroupIndicatorPreconditionLaddersVO preconditionLaddersVO : preconditionLaddersVOS) {
            preconditionLaddersVO.convertLaddersToPercent(targetType, dataType);
        }
        return preconditionLaddersVOS;
    }
}
