package cn.fw.morax.service.data.salary;

import cn.fw.morax.domain.db.salary.SalaryConfirm;
import cn.fw.morax.domain.db.salary.SalaryPool;
import cn.fw.morax.domain.enums.SalaryConfirmStatusEnum;
import cn.fw.morax.domain.vo.salary.SalaryConfirmVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryConfirmService
 * @description : 薪酬确认记录
 * @date: 2022-04-06 17:05
 */
public interface SalaryConfirmService extends IService<SalaryConfirm> {

    /**
     * 未确认的薪酬
     *
     * @param shopId
     * @param confirmedStatus
     * @param excludeStaffIds
     * @return
     */
    Integer getCountShopNoConfirm(Long shopId, SalaryConfirmStatusEnum confirmedStatus, List<Long> excludeStaffIds);

    /**
     * 未确认的薪酬
     *
     * @param shopId
     * @return
     */
    List<SalaryConfirmVO> getShopSalaryConfirm(Long shopId, SalaryConfirmStatusEnum confirmedStatus);
}
