package cn.fw.morax.service.data.salary;

import cn.fw.morax.domain.db.salary.SalaryGroupProjectParam;
import cn.fw.morax.domain.vo.salary.SalaryGroupProjectParamVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * @author : kurisu
 * @className : SalaryRawDataService
 * @description : 薪资明细
 * @date: 2022-04-06 17:05
 */
public interface SalaryGroupProjectParamService extends IService<SalaryGroupProjectParam> {

    /**
     * 获取薪酬组项目 所有参数，根据薪酬组项目id分组     已处理百分数
     *
     * @param salaryGroupId
     * @return
     */
    Map<Long, List<SalaryGroupProjectParamVO>> getSalaryGroupAllParamVO(Long salaryGroupId);

    /**
     * 获取薪酬组项目参数    已处理百分数
     *
     * @param salaryGroupProjectId
     * @return
     */
    List<SalaryGroupProjectParamVO> getSalaryGroupProjectParamVO(Long salaryGroupProjectId);

}
