package cn.fw.morax.service.data.salary;

import cn.fw.morax.domain.db.kpi.Indicators;
import cn.fw.morax.domain.db.salary.SalaryProject;
import cn.fw.morax.domain.dto.query.IndicatorQueryDTO;
import cn.fw.morax.domain.dto.query.SalaryIndicatorQueryDTO;
import cn.fw.morax.domain.dto.query.SalaryProjectPostQueryDTO;
import cn.fw.morax.domain.vo.kpi.IndicatorsVO;
import cn.fw.morax.domain.vo.salary.SalaryProjectSelectorVO;
import cn.fw.morax.domain.vo.salary.SalaryProjectVO;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.lang.NonNull;

import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryProjectService
 * @description : 薪酬项
 * @date : 2022-04-06 17:05
 */
public interface SalaryProjectService extends IService<SalaryProject> {

    /**
     * 指标分页查询总条数接口
     *
     * @param dto
     * @return
     */
    Long indicatorsPageTotal(SalaryIndicatorQueryDTO dto);

    /**
     * 指标分页查询接口
     *
     * @param dto
     * @return
     */
    List<SalaryProjectVO> indicatorsPage(SalaryIndicatorQueryDTO dto);

    /**
     * 获取岗位下的指标
     *
     * @param dto
     * @return
     */
    List<SalaryProjectSelectorVO> getPostIndicators(SalaryProjectPostQueryDTO dto);

    /**
     * 通过指标编码查询指标数据
     *
     * @param salaryCode  指标编码 NonNull
     * @param checkEffective 是否进行有效校验
     * @return
     */
    SalaryProject queryByCode(@NonNull final String salaryCode, final Boolean checkEffective);
}
