package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.dao.salary.SalaryGeneralSettinDao;
import cn.fw.morax.domain.db.salary.SalaryGeneralSettin;
import cn.fw.morax.service.data.salary.SalaryGeneralSettinService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author : kurisu
 * @className : SalaryGeneralSettinServiceImpl
 * @description : 薪酬通用设置
 * @date: 2022-04-06 17:05
 */
@Service
@Slf4j
public class SalaryGeneralSettinServiceImpl extends ServiceImpl<SalaryGeneralSettinDao, SalaryGeneralSettin> implements SalaryGeneralSettinService {
    private final static String DEFAULT_DATES_OF_APPEAL = "3,5";

    @Override
    @Transactional(rollbackFor = Exception.class)
    public SalaryGeneralSettin initData(Long groupId) {
        SalaryGeneralSettin settin = new SalaryGeneralSettin();
        settin.setLeaderVisibility(Boolean.TRUE);
        settin.setDatesOfAppeal(DEFAULT_DATES_OF_APPEAL);
        settin.setPayoffDate(15);
        settin.setPayoffLimit(0);
        settin.setGroupId(groupId);
        settin.setYn(Boolean.TRUE);
        this.save(settin);
        return settin;
    }
}
