package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.dao.salary.SalaryGroupProjectPreconditionDao;
import cn.fw.morax.domain.db.salary.SalaryGroupProjectPrecondition;
import cn.fw.morax.domain.vo.salary.SalaryGroupProjectPreconditionVO;
import cn.fw.morax.service.data.salary.SalaryGroupProjectPreconditionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author : kurisu
 * @className : SalaryPoolServiceImpl
 * @description : 薪资明细
 * @date: 2022-04-06 17:05
 */
@Service
@Slf4j
public class SalaryGroupProjectPreconditionImpl extends ServiceImpl<SalaryGroupProjectPreconditionDao, SalaryGroupProjectPrecondition>
        implements SalaryGroupProjectPreconditionService {

    @Override
    public Map<Long, List<SalaryGroupProjectPreconditionVO>> getSalaryGroupProjectCondVO(Long salaryGroupId) {
        List<SalaryGroupProjectPreconditionVO> condVos = this.getBaseMapper().getConds(salaryGroupId);
        condVos.stream().forEach(SalaryGroupProjectPreconditionVO::processPercent);

        Map<Long, List<SalaryGroupProjectPreconditionVO>> condMap = condVos.stream()
                .collect(Collectors.groupingBy(SalaryGroupProjectPreconditionVO::getSalaryGroupProjectId));
        return condMap;
    }

    @Override
    public List<SalaryGroupProjectPreconditionVO> getHitVos(Long salaryGroupProjectId, Long userId, LocalDate localDate) {
        List<SalaryGroupProjectPreconditionVO> condVos = this.getBaseMapper().getHitVos(salaryGroupProjectId, userId, localDate);
        condVos.stream().forEach(SalaryGroupProjectPreconditionVO::processReportPercent);
        return condVos;
    }
}
