package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.common.utils.DateUtil;
import cn.fw.morax.dao.salary.SalaryGroupDao;
import cn.fw.morax.domain.db.salary.SalaryGroup;
import cn.fw.morax.domain.dto.query.SalaryGroupRepeatQueryDTO;
import cn.fw.morax.service.data.salary.SalaryGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.lang.NonNull;
import org.springframework.lang.Nullable;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * @author : kurisu
 * @className : SalaryGroupServiceImpl
 * @description : 薪酬组配置
 * @date: 2022-04-06 17:05
 */
@Service
@Slf4j
public class SalaryGroupServiceImpl extends ServiceImpl<SalaryGroupDao, SalaryGroup> implements SalaryGroupService {

    @Override
    public List<SalaryGroup> queryRepeatSalaryGroup(SalaryGroupRepeatQueryDTO dto) {
        return getBaseMapper().queryRepeatSalaryGroup(dto);
    }

    @Override
    @Nullable
    public Set<Long> querySalaryGroupIdByDay(@NonNull final LocalDate localDate) {
        Date day = DateUtil.localDate2Date(localDate);
        return this.getBaseMapper().querySalaryGroupIdByDay(day);
    }

    @Override
    public List<Long> querySalaryGroupIdsByCode(String salaryCode, Long postId, Long groupId, Date dataDate) {
        return this.getBaseMapper().querySalaryGroupIdsByCode(salaryCode, postId, groupId, dataDate);
    }

    @Override
    public List<SalaryGroup> getAllEffectGroups(Date date) {
        return this.getBaseMapper().getAllEffectGroups(date);
    }

    @Override
    public List<SalaryGroup> getRepeatConfigs(Long postId, List<Long> shopIds, Long preId, LocalDate beginTime) {
        return this.getBaseMapper().getRepeatConfigs(postId, shopIds, preId, beginTime);
    }
}
