package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.dao.salary.SalaryPoolDetailDao;
import cn.fw.morax.domain.db.salary.SalaryPoolDetail;
import cn.fw.morax.domain.vo.salary.SalaryPoolDetailVO;
import cn.fw.morax.domain.vo.salary.StaffSalaryVO;
import cn.fw.morax.service.data.salary.SalaryPoolDetailService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;
import java.util.Objects;

import static cn.fw.common.businessvalidator.Validator.BV;

/**
 * @author : kurisu
 * @className : SalaryPoolDetailServiceImpl
 * @description : 薪酬池
 * @date : 2022-04-06 17:05
 */
@Service
@Slf4j
public class SalaryPoolDetailServiceImpl extends ServiceImpl<SalaryPoolDetailDao, SalaryPoolDetail> implements SalaryPoolDetailService {
    @Override
    public List<SalaryPoolDetail> queryListByPoolId(Long poolId, LocalDate date) {
        if (Objects.isNull(date)) {
            SalaryPoolDetail detail = this.getOne(Wrappers.<SalaryPoolDetail>lambdaQuery()
                    .eq(SalaryPoolDetail::getSalaryPoolId, poolId)
                    .eq(SalaryPoolDetail::getYn, Boolean.TRUE)
                    .orderByDesc(SalaryPoolDetail::getSalaryDate)
                    .last(" limit 1 ")
            );
            BV.notNull(detail, () -> "该人员薪酬数据不存在");
            date = detail.getSalaryDate();
        }

        return this.list(Wrappers.<SalaryPoolDetail>lambdaQuery()
                .eq(SalaryPoolDetail::getSalaryPoolId, poolId)
                .eq(SalaryPoolDetail::getSalaryDate, date)
                .eq(SalaryPoolDetail::getYn, Boolean.TRUE)
        );
    }

    @Override
    public List<SalaryPoolDetailVO> queryByPoolId(Long salaryPoolId, Long salaryGroupId, LocalDate dataDate) {

        return this.baseMapper.queryByPoolId(salaryPoolId, salaryGroupId, dataDate);
    }
}
